###
This mod aims to restore stuff that was in game for one point or another, revamping and polishing some of them and ultimately adding it to Unit Creator so you can give them another life with your creations!
### *This mod is using UFox Lib, please make sure to have it installed*
---

### Current Content

Clothing Items:

|Item| Backstory |
|--|--|
| Ullr's Helmet | Original helmet of Ullr secret unit that he had equipped when was just introduced to game during earliest days of Early Access times. After some updates, got modified to look less like a plain hat (in fact, Ullr got quite a redesign) |
| Maori Clothing | Were added during Unit Creator beta back in 2020. Got removed shortly after due to cultural representation problems. [You can read a bit more here](https://store.steampowered.com/news/app/508440/view/2905347823303533012) |
| Legacy Boxer Clothing | Legacy Boxer's hat, bandaid and boots are not avaliable in Unit Creator for unknown reasons. In fact, their CharacterProp entries are empty to the beyond, so i had to re-import them as separate new props - sorry, no vanilla compability :(
| Ancient Quiver | Old version of Snake/Greek Archer's quiver that contains arrows inside. Was removed because devs planned to update quiver with Snakes inside instead - did not worked quite well and thus got abandoned
| Two-Colored Renaissance Pants | Were added during Renaissance Faction introduction update, Balloon Archer and Ballooner units had them equipped. Got removed later for unknown/unrevealed reasons |
| Western Skirt | Cut Western clothing item, most likely got removed because it's rig* is bugged and difficult to "repair" |


![](https://i.imgur.com/PEf58zm.png)
###### *If you don't know, rig is character bones that are making 3D model able to bend. Tabs merges these bones from prop item with ones wobbler model - that's simplified explanation of how units wear clothing. (Static props without bones exist too and are attached in easier way) 

---
Weapons:
| Item | Backstory |
|--|--|
| Old Chu Ko Nu| When Chu Ko Nu secret unit was introduced, it's weapon had this model which is internally referred as "Renaissance Crossbow" - crossbow weapon from Totally Accurate Battlegrounds. Got removed shortly after and replaced with proper ancient repeating crossbow. Shooting placeholder arrows because of some toomfolery*|
| Pirate Chest | Got added during Unit Creator updates, but ultimately ended up being removed. Why? Ask something easier. But i think because of perfomance issues with console ports? Those chests can get very laggy very quick because of unit spawning i believe |
| Valkyrie's Sword | Before Unit Creator update, Valkyries used to have swords that had model of original Footman sword from TABS alpha versions. What can i say, why not so here it is |
| Maori Wahaika | Got removed by same reason as rest of Maori assets. Screenshot Recreation version is my own attemp to recreate older version of model that got shown on Twitter and didn't got into UC beta |
| Blink Dagger | Either meant to be standalone unit or Unit Creator asset, either way got scrapped during developement but also was shown a lot in various Landfall media. Still exists in files, but version from this mod have non-broken chat bubbles and some fancy sounds. Also, as bonus, recreation of dagger model's old iteration |
| Master Sword | Originally meant to be Shogun's weapon, not much known of why exactly this got scrapped. It is, in fact, naginata, but internally it's called "SwordMaster". Weapon behavior is based off Shogun's katana, model is recreated from screenshots ~~and i gave up on recreating it's handle, it's too detailed sorry~~ |
| Chain Sword | Test weapon from Unit Creator beta, was removed shortly after because of how bugged it was. Mod's version hopefully is less buggier. "Improved" version is my own take at making it's behavior better, which had turned out too interesting in my opinion to not to include. |
| Placeholder Arrow | Test dev arrows that have been used for early 3.0** developement back in 2018 . Pretty much reskin of normal arrow but also different in size |
| Old Ice Arrow | Simply, old model of Ice Arrow, and without fancy particles |
| Magnet | Magnet? Magnet! Scrapped projectile that shares almost similar origin as Blink Dagger: Still lying around broken in game files, modded version revamps it a lot. Not only attracts weapons/shields, but also projectiles (my experemintal addition). Probably works as catapult weapon aswell, though i'd recommend using Catapult Boulder weapon with Magnet projectile set on it |

![](https://i.imgur.com/ctNU8uQ.png)

###### *In order for crossbow to shoot bolts, i either supposed to load projectile's duplicate prefab, or load vanilla one through code. Neither looks good for me (second option does not work with unit saving), so i decided to add Placeholder arrows from dev clips to this mod.

###### **3.0 is current "physics engine" of TABS, aka 3rd major iteration.

#### Maori assets are in this mod because we as community finds these assets great and beautiful, there is no motives to touch cultural representation stuff in harmful or negative way, aswell as there was no harm when developers made them in first place. 

---
### Changelog:

-- 1.1.1
- Technical update; no new content, just added util tool from UFox to mod's workflow.

-- 1.1.0:
- Added Magnet, Blink Daggers, Master Sword, Chain Swords, Old Ice Arrow, Missing Legacy Boxer clothing, Ancient Quiver with arrows and  Western Skirt
- Placeholder arrow is now darker like in original clips, and uses original sounds from TABG
- Chest Throw is now held different by non-dual wielding option
- Added small sound upon opening for Chest projectile
- Fixed Chest projectile saying in logs that it doesn't have "Projectile" component
- Items are now assigned proper team coloring in Unit Creator (New UFoxLib feature)
- Fixed Minor and Inconvenient spelling error with hopes that there's no more left

-- 1.0.0: 
- Mod release.

---
### Credits:
- Harren Tonderen (me) - project lead developer.
- BD,  Arargd - major help with code stuff. 
- Landfall Games - owners of original assets and audio.
- My friends and other people who were very supportive.

#### [Any issues with mod, or want to discuss something? You can always join  TABS Mod Center on Discord](https://discord.gg/zrs44qyp7S)

---
##### 2023 Utvecklare Fox